# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: OpenClaw provider end-to-end test

prompts:
  - 'Answer in exactly one sentence: {{question}}'

providers:
  - openclaw:main

tests:
  - vars:
      question: 'What is 2 + 2?'
    assert:
      - type: contains
        value: '4'
  - vars:
      question: 'What color is the sky on a clear day?'
    assert:
      - type: icontains
        value: 'blue'

# Uncomment to test other provider types:
#
# Responses API (disabled by default upstream; enable gateway.http.endpoints.responses.enabled=true):
#  - openclaw:responses:main
#
# Embeddings API:
#  - id: openclaw:embedding:main
#    config:
#      backend_model: openai/text-embedding-3-small
#
# WebSocket Agent (native WS RPC protocol):
#  - id: openclaw:agent:main
#    config:
#      session_key: promptfoo-eval
#      thinking_level: adaptive
#      timeoutMs: 60000
#
# Tool Invoke (stable built-in tool; replace the prompt with '{}'):
#  - id: openclaw:tools:sessions_list
#    config:
#      action: json
